<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="admin-add-question.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content" >
    <form [formGroup]="questionForm" (ngSubmit)="submitForm()" novalidate>
    <div class="container">
      <div class="content-heading">
        <h1>Add Question/Answer</h1>
      </div>

      <div class="content-services">
        <div class="content-services-item">

            <div class="content-services-question">
              <label>Question</label>
              <div class="ql-question">
                <quill-editor formControlName="question" [modules]="editorModules" (onEditorChanged)="changedEditor($event)" ></quill-editor>
              </div>
            </div>

            <div class="content-services-answer">
              <label>Answer</label>
              <div class="ql-answer">
                <quill-editor formControlName="answer" [modules]="editorModules" (onEditorChanged)="changedEditor($event)"></quill-editor>
              </div>
            </div>

            <div class="container-select">
              <div class="content-services-topic">
                <label>Topic :</label>
                <select class="content-topic" formControlName="topic"> 
                  <option value="ด้านการบริการยืม-คืน">ด้านการบริการยืม-คืน</option>
                  <option value="ด้านบริการอินเตอร์เน็ต">ด้านบริการอินเตอร์เน็ต</option>
                  <option value="ด้านบริการห้องค้นคว้ากลุ่ม และห้องมัลติมีเดียกลุ่ม">ด้านบริการห้องค้นคว้ากลุ่ม และห้องมัลติมีเดียกลุ่ม</option>
                  <option value="ด้านบริการวารสาร หนังสือพิมพ์ นิตยสาร และบทความวารสาร">ด้านบริการวารสาร หนังสือพิมพ์ นิตยสาร และบทความวารสาร</option>
                  <option value="ด้านบริการสื่อโสต และบริการNetflix">ด้านบริการสื่อโสต และบริการNetflix</option>
                  <option value="Research Support Service">Research Support Service</option>
                </select>
              </div>

              <div class="content-services-public">
                <label>Public :</label>
                <select class="content-public" formControlName="isPublic">
                  <option value="true" >true</option>
                  <option value="false">false</option>
                </select>
              </div>
            </div>

            <div class="container-selectOne">
              <div class="content-services-addDate">
                <label>Add Date :</label>
                  <input formControlName="addDate" type="date"/>
              </div>
    
              <div class="content-services-updateDate">
                <label>Update Date :</label>
                  <input formControlName="updateDate" type="date"/>
              </div>
    
              <div class="content-services-lastUpdater">
                <label>Last Updater :</label>
                <input formControlName="lastUpdater" [(ngModel)]="adminDisplayName" readonly>
              </div>
            </div>
         
          <div class="content-services-button">
            <button type="submit" class="submitButton">Submit</button>
            <button type="button" class="cancelButton" [routerLink]="['/admin/home']">Cancel</button>
          </div>

        </div>
      </div>
    </div>
  </form>
  </section>

</body>
</html>


  
  
  
  
  
  
  
  
  
  
  
  
  
       
  
  
  